(function() {
	tinymce.PluginManager.add('vf_shortcodes_mce_button', function( editor, url ) {
		editor.addButton( 'vf_shortcodes_mce_button', {
			text: 'Shortcodes',
			type: 'menubutton',
			
			menu: [
				{
					text: 'Icons',
					menu: [

							{
							text: 'arrow_down',
							icon: 'arrow_down',
							onclick: function() {
							editor.insertContent('[arrow_down size="20px"]');
							}
							},
							{
							text: 'arrow_left',
							icon: 'arrow_left',
							onclick: function() {
							editor.insertContent('[arrow_left size="20px"]');
							}
							},
							{
							text: 'arrow_right',
							icon: 'arrow_right',
							onclick: function() {
							editor.insertContent('[arrow_right size="20px"]');
							}
							},
							{
							text: 'arrow_left_up',
							icon: 'arrow_left_up',
							onclick: function() {
							editor.insertContent('[arrow_left_up size="20px"]');
							}
							},
							{
							text: 'arrow_right_up',
							icon: 'arrow_right_up',
							onclick: function() {
							editor.insertContent('[arrow_right_up size="20px"]');
							}
							},
							{
							text: 'arrow_right_down',
							icon: 'arrow_right_down',
							onclick: function() {
							editor.insertContent('[arrow_right_down size="20px"]');
							}
							},
							{
							text: 'arrow_left_down',
							icon: 'arrow_left_down',
							onclick: function() {
							editor.insertContent('[arrow_left_down size="20px"]');
							}
							},
							{
							text: 'arrow_up_down',
							icon: 'arrow_up_down',
							onclick: function() {
							editor.insertContent('[arrow_up_down size="20px"]');
							}
							},
							{
							text: 'arrow_up_down_alt',
							icon: 'arrow_up_down_alt',
							onclick: function() {
							editor.insertContent('[arrow_up_down_alt size="20px"]');
							}
							},
							{
							text: 'arrow_left_right_alt',
							icon: 'arrow_left_right_alt',
							onclick: function() {
							editor.insertContent('[arrow_left_right_alt size="20px"]');
							}
							},
							{
							text: 'arrow_left_right',
							icon: 'arrow_left_right',
							onclick: function() {
							editor.insertContent('[arrow_left_right size="20px"]');
							}
							},
							{
							text: 'arrow_expand_alt2',
							icon: 'arrow_expand_alt2',
							onclick: function() {
							editor.insertContent('[arrow_expand_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_expand_alt',
							icon: 'arrow_expand_alt',
							onclick: function() {
							editor.insertContent('[arrow_expand_alt size="20px"]');
							}
							},
							{
							text: 'arrow_condense',
							icon: 'arrow_condense',
							onclick: function() {
							editor.insertContent('[arrow_condense size="20px"]');
							}
							},
							{
							text: 'arrow_expand',
							icon: 'arrow_expand',
							onclick: function() {
							editor.insertContent('[arrow_expand size="20px"]');
							}
							},
							{
							text: 'arrow_move',
							icon: 'arrow_move',
							onclick: function() {
							editor.insertContent('[arrow_move size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_up',
							icon: 'arrow_carrot_up',
							onclick: function() {
							editor.insertContent('[arrow_carrot_up size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_down',
							icon: 'arrow_carrot_down',
							onclick: function() {
							editor.insertContent('[arrow_carrot_down size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_left',
							icon: 'arrow_carrot_left',
							onclick: function() {
							editor.insertContent('[arrow_carrot_left size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_right',
							icon: 'arrow_carrot_right',
							onclick: function() {
							editor.insertContent('[arrow_carrot_right size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2up',
							icon: 'arrow_carrot_2up',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2up size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2down',
							icon: 'arrow_carrot_2down',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2down size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2left',
							icon: 'arrow_carrot_2left',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2left size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2right',
							icon: 'arrow_carrot_2right',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2right size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_up_alt2',
							icon: 'arrow_carrot_up_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_up_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_down_alt2',
							icon: 'arrow_carrot_down_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_down_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_left_alt2',
							icon: 'arrow_carrot_left_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_left_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_right_alt2',
							icon: 'arrow_carrot_right_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_right_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2up_alt2',
							icon: 'arrow_carrot_2up_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2up_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2down_alt2',
							icon: 'arrow_carrot_2down_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2down_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2left_alt2',
							icon: 'arrow_carrot_2left_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2left_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2right_alt2',
							icon: 'arrow_carrot_2right_alt2',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2right_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_up',
							icon: 'arrow_triangle_up',
							onclick: function() {
							editor.insertContent('[arrow_triangle_up size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_down',
							icon: 'arrow_triangle_down',
							onclick: function() {
							editor.insertContent('[arrow_triangle_down size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_left',
							icon: 'arrow_triangle_left',
							onclick: function() {
							editor.insertContent('[arrow_triangle_left size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_right',
							icon: 'arrow_triangle_right',
							onclick: function() {
							editor.insertContent('[arrow_triangle_right size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_up_alt2',
							icon: 'arrow_triangle_up_alt2',
							onclick: function() {
							editor.insertContent('[arrow_triangle_up_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_down_alt2',
							icon: 'arrow_triangle_down_alt2',
							onclick: function() {
							editor.insertContent('[arrow_triangle_down_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_left_alt2',
							icon: 'arrow_triangle_left_alt2',
							onclick: function() {
							editor.insertContent('[arrow_triangle_left_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_right_alt2',
							icon: 'arrow_triangle_right_alt2',
							onclick: function() {
							editor.insertContent('[arrow_triangle_right_alt2 size="20px"]');
							}
							},
							{
							text: 'arrow_back',
							icon: 'arrow_back',
							onclick: function() {
							editor.insertContent('[arrow_back size="20px"]');
							}
							},
							{
							text: 'icon_minus_06',
							icon: 'icon_minus_06',
							onclick: function() {
							editor.insertContent('[icon_minus_06 size="20px"]');
							}
							},
							{
							text: 'icon_plus',
							icon: 'icon_plus',
							onclick: function() {
							editor.insertContent('[icon_plus size="20px"]');
							}
							},
							{
							text: 'icon_close',
							icon: 'icon_close',
							onclick: function() {
							editor.insertContent('[icon_close size="20px"]');
							}
							},
							{
							text: 'icon_check',
							icon: 'icon_check',
							onclick: function() {
							editor.insertContent('[icon_check size="20px"]');
							}
							},
							{
							text: 'icon_minus_alt2',
							icon: 'icon_minus_alt2',
							onclick: function() {
							editor.insertContent('[icon_minus_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_plus_alt2',
							icon: 'icon_plus_alt2',
							onclick: function() {
							editor.insertContent('[icon_plus_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_close_alt2',
							icon: 'icon_close_alt2',
							onclick: function() {
							editor.insertContent('[icon_close_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_check_alt2',
							icon: 'icon_check_alt2',
							onclick: function() {
							editor.insertContent('[icon_check_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_zoom_out_alt',
							icon: 'icon_zoom_out_alt',
							onclick: function() {
							editor.insertContent('[icon_zoom_out_alt size="20px"]');
							}
							},
							{
							text: 'icon_zoom_in_alt',
							icon: 'icon_zoom_in_alt',
							onclick: function() {
							editor.insertContent('[icon_zoom_in_alt size="20px"]');
							}
							},
							{
							text: 'icon_search',
							icon: 'icon_search',
							onclick: function() {
							editor.insertContent('[icon_search size="20px"]');
							}
							},
							{
							text: 'icon_box_empty',
							icon: 'icon_box_empty',
							onclick: function() {
							editor.insertContent('[icon_box_empty size="20px"]');
							}
							},
							{
							text: 'icon_box_selected',
							icon: 'icon_box_selected',
							onclick: function() {
							editor.insertContent('[icon_box_selected size="20px"]');
							}
							},
							{
							text: 'icon_minus_box',
							icon: 'icon_minus_box',
							onclick: function() {
							editor.insertContent('[icon_minus_box size="20px"]');
							}
							},
							{
							text: 'icon_plus_box',
							icon: 'icon_plus_box',
							onclick: function() {
							editor.insertContent('[icon_plus_box size="20px"]');
							}
							},
							{
							text: 'icon_box_checked',
							icon: 'icon_box_checked',
							onclick: function() {
							editor.insertContent('[icon_box_checked size="20px"]');
							}
							},
							{
							text: 'icon_circle_empty',
							icon: 'icon_circle_empty',
							onclick: function() {
							editor.insertContent('[icon_circle_empty size="20px"]');
							}
							},
							{
							text: 'icon_circle_slelected',
							icon: 'icon_circle_slelected',
							onclick: function() {
							editor.insertContent('[icon_circle_slelected size="20px"]');
							}
							},
							{
							text: 'icon_stop_alt2',
							icon: 'icon_stop_alt2',
							onclick: function() {
							editor.insertContent('[icon_stop_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_stop',
							icon: 'icon_stop',
							onclick: function() {
							editor.insertContent('[icon_stop size="20px"]');
							}
							},
							{
							text: 'icon_pause_alt2',
							icon: 'icon_pause_alt2',
							onclick: function() {
							editor.insertContent('[icon_pause_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_pause',
							icon: 'icon_pause',
							onclick: function() {
							editor.insertContent('[icon_pause size="20px"]');
							}
							},
							{
							text: 'icon_menu',
							icon: 'icon_menu',
							onclick: function() {
							editor.insertContent('[icon_menu size="20px"]');
							}
							},
							{
							text: 'icon_menu_square_alt2',
							icon: 'icon_menu_square_alt2',
							onclick: function() {
							editor.insertContent('[icon_menu_square_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_menu_circle_alt2',
							icon: 'icon_menu_circle_alt2',
							onclick: function() {
							editor.insertContent('[icon_menu_circle_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_ul',
							icon: 'icon_ul',
							onclick: function() {
							editor.insertContent('[icon_ul size="20px"]');
							}
							},
							{
							text: 'icon_ol',
							icon: 'icon_ol',
							onclick: function() {
							editor.insertContent('[icon_ol size="20px"]');
							}
							},
							{
							text: 'icon_adjust_horiz',
							icon: 'icon_adjust_horiz',
							onclick: function() {
							editor.insertContent('[icon_adjust_horiz size="20px"]');
							}
							},
							{
							text: 'icon_adjust_vert',
							icon: 'icon_adjust_vert',
							onclick: function() {
							editor.insertContent('[icon_adjust_vert size="20px"]');
							}
							},
							{
							text: 'icon_document_alt',
							icon: 'icon_document_alt',
							onclick: function() {
							editor.insertContent('[icon_document_alt size="20px"]');
							}
							},
							{
							text: 'icon_documents_alt',
							icon: 'icon_documents_alt',
							onclick: function() {
							editor.insertContent('[icon_documents_alt size="20px"]');
							}
							},
							{
							text: 'icon_pencil',
							icon: 'icon_pencil',
							onclick: function() {
							editor.insertContent('[icon_pencil size="20px"]');
							}
							},
							{
							text: 'icon_pencil_edit_alt',
							icon: 'icon_pencil_edit_alt',
							onclick: function() {
							editor.insertContent('[icon_pencil_edit_alt size="20px"]');
							}
							},
							{
							text: 'icon_pencil_edit',
							icon: 'icon_pencil_edit',
							onclick: function() {
							editor.insertContent('[icon_pencil_edit size="20px"]');
							}
							},
							{
							text: 'icon_folder_alt',
							icon: 'icon_folder_alt',
							onclick: function() {
							editor.insertContent('[icon_folder_alt size="20px"]');
							}
							},
							{
							text: 'icon_folder_open_alt',
							icon: 'icon_folder_open_alt',
							onclick: function() {
							editor.insertContent('[icon_folder_open_alt size="20px"]');
							}
							},
							{
							text: 'icon_folder_add_alt',
							icon: 'icon_folder_add_alt',
							onclick: function() {
							editor.insertContent('[icon_folder_add_alt size="20px"]');
							}
							},
							{
							text: 'icon_info_alt',
							icon: 'icon_info_alt',
							onclick: function() {
							editor.insertContent('[icon_info_alt size="20px"]');
							}
							},
							{
							text: 'icon_error_oct_alt',
							icon: 'icon_error_oct_alt',
							onclick: function() {
							editor.insertContent('[icon_error_oct_alt size="20px"]');
							}
							},
							{
							text: 'icon_error_circle_alt',
							icon: 'icon_error_circle_alt',
							onclick: function() {
							editor.insertContent('[icon_error_circle_alt size="20px"]');
							}
							},
							{
							text: 'icon_error_triangle_alt',
							icon: 'icon_error_triangle_alt',
							onclick: function() {
							editor.insertContent('[icon_error_triangle_alt size="20px"]');
							}
							},
							{
							text: 'icon_question_alt2',
							icon: 'icon_question_alt2',
							onclick: function() {
							editor.insertContent('[icon_question_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_question',
							icon: 'icon_question',
							onclick: function() {
							editor.insertContent('[icon_question size="20px"]');
							}
							},
							{
							text: 'icon_comment_alt',
							icon: 'icon_comment_alt',
							onclick: function() {
							editor.insertContent('[icon_comment_alt size="20px"]');
							}
							},
							{
							text: 'icon_chat_alt',
							icon: 'icon_chat_alt',
							onclick: function() {
							editor.insertContent('[icon_chat_alt size="20px"]');
							}
							},
							{
							text: 'icon_vol_mute_alt',
							icon: 'icon_vol_mute_alt',
							onclick: function() {
							editor.insertContent('[icon_vol_mute_alt size="20px"]');
							}
							},
							{
							text: 'icon_volume_low_alt',
							icon: 'icon_volume_low_alt',
							onclick: function() {
							editor.insertContent('[icon_volume_low_alt size="20px"]');
							}
							},
							{
							text: 'icon_volume_high_alt',
							icon: 'icon_volume_high_alt',
							onclick: function() {
							editor.insertContent('[icon_volume_high_alt size="20px"]');
							}
							},
							{
							text: 'icon_quotations',
							icon: 'icon_quotations',
							onclick: function() {
							editor.insertContent('[icon_quotations size="20px"]');
							}
							},
							{
							text: 'icon_quotations_alt2',
							icon: 'icon_quotations_alt2',
							onclick: function() {
							editor.insertContent('[icon_quotations_alt2 size="20px"]');
							}
							},
							{
							text: 'icon_clock_alt',
							icon: 'icon_clock_alt',
							onclick: function() {
							editor.insertContent('[icon_clock_alt size="20px"]');
							}
							},
							{
							text: 'icon_lock_alt',
							icon: 'icon_lock_alt',
							onclick: function() {
							editor.insertContent('[icon_lock_alt size="20px"]');
							}
							},
							{
							text: 'icon_lock_open_alt',
							icon: 'icon_lock_open_alt',
							onclick: function() {
							editor.insertContent('[icon_lock_open_alt size="20px"]');
							}
							},
							{
							text: 'icon_key_alt',
							icon: 'icon_key_alt',
							onclick: function() {
							editor.insertContent('[icon_key_alt size="20px"]');
							}
							},
							{
							text: 'icon_cloud_alt',
							icon: 'icon_cloud_alt',
							onclick: function() {
							editor.insertContent('[icon_cloud_alt size="20px"]');
							}
							},
							{
							text: 'icon_cloud_upload_alt',
							icon: 'icon_cloud_upload_alt',
							onclick: function() {
							editor.insertContent('[icon_cloud_upload_alt size="20px"]');
							}
							},
							{
							text: 'icon_cloud_download_alt',
							icon: 'icon_cloud_download_alt',
							onclick: function() {
							editor.insertContent('[icon_cloud_download_alt size="20px"]');
							}
							},
							{
							text: 'icon_image',
							icon: 'icon_image',
							onclick: function() {
							editor.insertContent('[icon_image size="20px"]');
							}
							},
							{
							text: 'icon_images',
							icon: 'icon_images',
							onclick: function() {
							editor.insertContent('[icon_images size="20px"]');
							}
							},
							{
							text: 'icon_lightbulb_alt',
							icon: 'icon_lightbulb_alt',
							onclick: function() {
							editor.insertContent('[icon_lightbulb_alt size="20px"]');
							}
							},
							{
							text: 'icon_gift_alt',
							icon: 'icon_gift_alt',
							onclick: function() {
							editor.insertContent('[icon_gift_alt size="20px"]');
							}
							},
							{
							text: 'icon_house_alt',
							icon: 'icon_house_alt',
							onclick: function() {
							editor.insertContent('[icon_house_alt size="20px"]');
							}
							},
							{
							text: 'icon_genius',
							icon: 'icon_genius',
							onclick: function() {
							editor.insertContent('[icon_genius size="20px"]');
							}
							},
							{
							text: 'icon_mobile',
							icon: 'icon_mobile',
							onclick: function() {
							editor.insertContent('[icon_mobile size="20px"]');
							}
							},
							{
							text: 'icon_tablet',
							icon: 'icon_tablet',
							onclick: function() {
							editor.insertContent('[icon_tablet size="20px"]');
							}
							},
							{
							text: 'icon_laptop',
							icon: 'icon_laptop',
							onclick: function() {
							editor.insertContent('[icon_laptop size="20px"]');
							}
							},
							{
							text: 'icon_desktop',
							icon: 'icon_desktop',
							onclick: function() {
							editor.insertContent('[icon_desktop size="20px"]');
							}
							},
							{
							text: 'icon_camera_alt',
							icon: 'icon_camera_alt',
							onclick: function() {
							editor.insertContent('[icon_camera_alt size="20px"]');
							}
							},
							{
							text: 'icon_mail_alt',
							icon: 'icon_mail_alt',
							onclick: function() {
							editor.insertContent('[icon_mail_alt size="20px"]');
							}
							},
							{
							text: 'icon_cone_alt',
							icon: 'icon_cone_alt',
							onclick: function() {
							editor.insertContent('[icon_cone_alt size="20px"]');
							}
							},
							{
							text: 'icon_ribbon_alt',
							icon: 'icon_ribbon_alt',
							onclick: function() {
							editor.insertContent('[icon_ribbon_alt size="20px"]');
							}
							},
							{
							text: 'icon_bag_alt',
							icon: 'icon_bag_alt',
							onclick: function() {
							editor.insertContent('[icon_bag_alt size="20px"]');
							}
							},
							{
							text: 'icon_creditcard',
							icon: 'icon_creditcard',
							onclick: function() {
							editor.insertContent('[icon_creditcard size="20px"]');
							}
							},
							{
							text: 'icon_cart_alt',
							icon: 'icon_cart_alt',
							onclick: function() {
							editor.insertContent('[icon_cart_alt size="20px"]');
							}
							},
							{
							text: 'icon_paperclip',
							icon: 'icon_paperclip',
							onclick: function() {
							editor.insertContent('[icon_paperclip size="20px"]');
							}
							},
							{
							text: 'icon_tag_alt',
							icon: 'icon_tag_alt',
							onclick: function() {
							editor.insertContent('[icon_tag_alt size="20px"]');
							}
							},
							{
							text: 'icon_tags_alt',
							icon: 'icon_tags_alt',
							onclick: function() {
							editor.insertContent('[icon_tags_alt size="20px"]');
							}
							},
							{
							text: 'icon_trash_alt',
							icon: 'icon_trash_alt',
							onclick: function() {
							editor.insertContent('[icon_trash_alt size="20px"]');
							}
							},
							{
							text: 'icon_cursor_alt',
							icon: 'icon_cursor_alt',
							onclick: function() {
							editor.insertContent('[icon_cursor_alt size="20px"]');
							}
							},
							{
							text: 'icon_mic_alt',
							icon: 'icon_mic_alt',
							onclick: function() {
							editor.insertContent('[icon_mic_alt size="20px"]');
							}
							},
							{
							text: 'icon_compass_alt',
							icon: 'icon_compass_alt',
							onclick: function() {
							editor.insertContent('[icon_compass_alt size="20px"]');
							}
							},
							{
							text: 'icon_pin_alt',
							icon: 'icon_pin_alt',
							onclick: function() {
							editor.insertContent('[icon_pin_alt size="20px"]');
							}
							},
							{
							text: 'icon_pushpin_alt',
							icon: 'icon_pushpin_alt',
							onclick: function() {
							editor.insertContent('[icon_pushpin_alt size="20px"]');
							}
							},
							{
							text: 'icon_map_alt',
							icon: 'icon_map_alt',
							onclick: function() {
							editor.insertContent('[icon_map_alt size="20px"]');
							}
							},
							{
							text: 'icon_drawer_alt',
							icon: 'icon_drawer_alt',
							onclick: function() {
							editor.insertContent('[icon_drawer_alt size="20px"]');
							}
							},
							{
							text: 'icon_toolbox_alt',
							icon: 'icon_toolbox_alt',
							onclick: function() {
							editor.insertContent('[icon_toolbox_alt size="20px"]');
							}
							},
							{
							text: 'icon_book_alt',
							icon: 'icon_book_alt',
							onclick: function() {
							editor.insertContent('[icon_book_alt size="20px"]');
							}
							},
							{
							text: 'icon_calendar',
							icon: 'icon_calendar',
							onclick: function() {
							editor.insertContent('[icon_calendar size="20px"]');
							}
							},
							{
							text: 'icon_film',
							icon: 'icon_film',
							onclick: function() {
							editor.insertContent('[icon_film size="20px"]');
							}
							},
							{
							text: 'icon_table',
							icon: 'icon_table',
							onclick: function() {
							editor.insertContent('[icon_table size="20px"]');
							}
							},
							{
							text: 'icon_contacts_alt',
							icon: 'icon_contacts_alt',
							onclick: function() {
							editor.insertContent('[icon_contacts_alt size="20px"]');
							}
							},
							{
							text: 'icon_headphones',
							icon: 'icon_headphones',
							onclick: function() {
							editor.insertContent('[icon_headphones size="20px"]');
							}
							},
							{
							text: 'icon_lifesaver',
							icon: 'icon_lifesaver',
							onclick: function() {
							editor.insertContent('[icon_lifesaver size="20px"]');
							}
							},
							{
							text: 'icon_piechart',
							icon: 'icon_piechart',
							onclick: function() {
							editor.insertContent('[icon_piechart size="20px"]');
							}
							},
							{
							text: 'icon_refresh',
							icon: 'icon_refresh',
							onclick: function() {
							editor.insertContent('[icon_refresh size="20px"]');
							}
							},
							{
							text: 'icon_link_alt',
							icon: 'icon_link_alt',
							onclick: function() {
							editor.insertContent('[icon_link_alt size="20px"]');
							}
							},
							{
							text: 'icon_link',
							icon: 'icon_link',
							onclick: function() {
							editor.insertContent('[icon_link size="20px"]');
							}
							},
							{
							text: 'icon_loading',
							icon: 'icon_loading',
							onclick: function() {
							editor.insertContent('[icon_loading size="20px"]');
							}
							},
							{
							text: 'icon_blocked',
							icon: 'icon_blocked',
							onclick: function() {
							editor.insertContent('[icon_blocked size="20px"]');
							}
							},
							{
							text: 'icon_archive_alt',
							icon: 'icon_archive_alt',
							onclick: function() {
							editor.insertContent('[icon_archive_alt size="20px"]');
							}
							},
							{
							text: 'icon_heart_alt',
							icon: 'icon_heart_alt',
							onclick: function() {
							editor.insertContent('[icon_heart_alt size="20px"]');
							}
							},
							{
							text: 'icon_star_alt',
							icon: 'icon_star_alt',
							onclick: function() {
							editor.insertContent('[icon_star_alt size="20px"]');
							}
							},
							{
							text: 'icon_star_half_alt',
							icon: 'icon_star_half_alt',
							onclick: function() {
							editor.insertContent('[icon_star_half_alt size="20px"]');
							}
							},
							{
							text: 'icon_star',
							icon: 'icon_star',
							onclick: function() {
							editor.insertContent('[icon_star size="20px"]');
							}
							},
							{
							text: 'icon_star_half',
							icon: 'icon_star_half',
							onclick: function() {
							editor.insertContent('[icon_star_half size="20px"]');
							}
							},
							{
							text: 'icon_tools',
							icon: 'icon_tools',
							onclick: function() {
							editor.insertContent('[icon_tools size="20px"]');
							}
							},
							{
							text: 'icon_tool',
							icon: 'icon_tool',
							onclick: function() {
							editor.insertContent('[icon_tool size="20px"]');
							}
							},
							{
							text: 'icon_cog',
							icon: 'icon_cog',
							onclick: function() {
							editor.insertContent('[icon_cog size="20px"]');
							}
							},
							{
							text: 'icon_cogs',
							icon: 'icon_cogs',
							onclick: function() {
							editor.insertContent('[icon_cogs size="20px"]');
							}
							},
							{
							text: 'arrow_up_alt',
							icon: 'arrow_up_alt',
							onclick: function() {
							editor.insertContent('[arrow_up_alt size="20px"]');
							}
							},
							{
							text: 'arrow_down_alt',
							icon: 'arrow_down_alt',
							onclick: function() {
							editor.insertContent('[arrow_down_alt size="20px"]');
							}
							},
							{
							text: 'arrow_left_alt',
							icon: 'arrow_left_alt',
							onclick: function() {
							editor.insertContent('[arrow_left_alt size="20px"]');
							}
							},
							{
							text: 'arrow_right_alt',
							icon: 'arrow_right_alt',
							onclick: function() {
							editor.insertContent('[arrow_right_alt size="20px"]');
							}
							},
							{
							text: 'arrow_left_up_alt',
							icon: 'arrow_left_up_alt',
							onclick: function() {
							editor.insertContent('[arrow_left_up_alt size="20px"]');
							}
							},
							{
							text: 'arrow_right_up_alt',
							icon: 'arrow_right_up_alt',
							onclick: function() {
							editor.insertContent('[arrow_right_up_alt size="20px"]');
							}
							},
							{
							text: 'arrow_right_down_alt',
							icon: 'arrow_right_down_alt',
							onclick: function() {
							editor.insertContent('[arrow_right_down_alt size="20px"]');
							}
							},
							{
							text: 'arrow_left_down_alt',
							icon: 'arrow_left_down_alt',
							onclick: function() {
							editor.insertContent('[arrow_left_down_alt size="20px"]');
							}
							},
							{
							text: 'arrow_condense_alt',
							icon: 'arrow_condense_alt',
							onclick: function() {
							editor.insertContent('[arrow_condense_alt size="20px"]');
							}
							},
							{
							text: 'arrow_expand_alt3',
							icon: 'arrow_expand_alt3',
							onclick: function() {
							editor.insertContent('[arrow_expand_alt3 size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_up_alt',
							icon: 'arrow_carrot_up_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_up_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_down_alt',
							icon: 'arrow_carrot_down_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_down_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_left_alt',
							icon: 'arrow_carrot_left_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_left_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_right_alt',
							icon: 'arrow_carrot_right_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_right_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2up_alt',
							icon: 'arrow_carrot_2up_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2up_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2dwnn_alt',
							icon: 'arrow_carrot_2dwnn_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2dwnn_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2left_alt',
							icon: 'arrow_carrot_2left_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2left_alt size="20px"]');
							}
							},
							{
							text: 'arrow_carrot_2right_alt',
							icon: 'arrow_carrot_2right_alt',
							onclick: function() {
							editor.insertContent('[arrow_carrot_2right_alt size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_up_alt',
							icon: 'arrow_triangle_up_alt',
							onclick: function() {
							editor.insertContent('[arrow_triangle_up_alt size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_down_alt',
							icon: 'arrow_triangle_down_alt',
							onclick: function() {
							editor.insertContent('[arrow_triangle_down_alt size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_left_alt',
							icon: 'arrow_triangle_left_alt',
							onclick: function() {
							editor.insertContent('[arrow_triangle_left_alt size="20px"]');
							}
							},
							{
							text: 'arrow_triangle_right_alt',
							icon: 'arrow_triangle_right_alt',
							onclick: function() {
							editor.insertContent('[arrow_triangle_right_alt size="20px"]');
							}
							},
							{
							text: 'icon_minus_alt',
							icon: 'icon_minus_alt',
							onclick: function() {
							editor.insertContent('[icon_minus_alt size="20px"]');
							}
							},
							{
							text: 'icon_plus_alt',
							icon: 'icon_plus_alt',
							onclick: function() {
							editor.insertContent('[icon_plus_alt size="20px"]');
							}
							},
							{
							text: 'icon_close_alt',
							icon: 'icon_close_alt',
							onclick: function() {
							editor.insertContent('[icon_close_alt size="20px"]');
							}
							},
							{
							text: 'icon_check_alt',
							icon: 'icon_check_alt',
							onclick: function() {
							editor.insertContent('[icon_check_alt size="20px"]');
							}
							},
							{
							text: 'icon_zoom_out',
							icon: 'icon_zoom_out',
							onclick: function() {
							editor.insertContent('[icon_zoom_out size="20px"]');
							}
							},
							{
							text: 'icon_zoom_in',
							icon: 'icon_zoom_in',
							onclick: function() {
							editor.insertContent('[icon_zoom_in size="20px"]');
							}
							},
							{
							text: 'icon_stop_alt',
							icon: 'icon_stop_alt',
							onclick: function() {
							editor.insertContent('[icon_stop_alt size="20px"]');
							}
							},
							{
							text: 'icon_menu_square_alt',
							icon: 'icon_menu_square_alt',
							onclick: function() {
							editor.insertContent('[icon_menu_square_alt size="20px"]');
							}
							},
							{
							text: 'icon_menu_circle_alt',
							icon: 'icon_menu_circle_alt',
							onclick: function() {
							editor.insertContent('[icon_menu_circle_alt size="20px"]');
							}
							},
							{
							text: 'icon_document',
							icon: 'icon_document',
							onclick: function() {
							editor.insertContent('[icon_document size="20px"]');
							}
							},
							{
							text: 'icon_documents',
							icon: 'icon_documents',
							onclick: function() {
							editor.insertContent('[icon_documents size="20px"]');
							}
							},
							{
							text: 'icon_pencil_alt',
							icon: 'icon_pencil_alt',
							onclick: function() {
							editor.insertContent('[icon_pencil_alt size="20px"]');
							}
							},
							{
							text: 'icon_folder',
							icon: 'icon_folder',
							onclick: function() {
							editor.insertContent('[icon_folder size="20px"]');
							}
							},
							{
							text: 'icon_folder_open',
							icon: 'icon_folder_open',
							onclick: function() {
							editor.insertContent('[icon_folder_open size="20px"]');
							}
							},
							{
							text: 'icon_folder_add',
							icon: 'icon_folder_add',
							onclick: function() {
							editor.insertContent('[icon_folder_add size="20px"]');
							}
							},
							{
							text: 'icon_folder_upload',
							icon: 'icon_folder_upload',
							onclick: function() {
							editor.insertContent('[icon_folder_upload size="20px"]');
							}
							},
							{
							text: 'icon_folder_download',
							icon: 'icon_folder_download',
							onclick: function() {
							editor.insertContent('[icon_folder_download size="20px"]');
							}
							},
							{
							text: 'icon_info',
							icon: 'icon_info',
							onclick: function() {
							editor.insertContent('[icon_info size="20px"]');
							}
							},
							{
							text: 'icon_error_circle',
							icon: 'icon_error_circle',
							onclick: function() {
							editor.insertContent('[icon_error_circle size="20px"]');
							}
							},
							{
							text: 'icon_error_oct',
							icon: 'icon_error_oct',
							onclick: function() {
							editor.insertContent('[icon_error_oct size="20px"]');
							}
							},
							{
							text: 'icon_error_triangle',
							icon: 'icon_error_triangle',
							onclick: function() {
							editor.insertContent('[icon_error_triangle size="20px"]');
							}
							},
							{
							text: 'icon_question_alt',
							icon: 'icon_question_alt',
							onclick: function() {
							editor.insertContent('[icon_question_alt size="20px"]');
							}
							},
							{
							text: 'icon_comment',
							icon: 'icon_comment',
							onclick: function() {
							editor.insertContent('[icon_comment size="20px"]');
							}
							},
							{
							text: 'icon_chat',
							icon: 'icon_chat',
							onclick: function() {
							editor.insertContent('[icon_chat size="20px"]');
							}
							},
							{
							text: 'icon_vol_mute',
							icon: 'icon_vol_mute',
							onclick: function() {
							editor.insertContent('[icon_vol_mute size="20px"]');
							}
							},
							{
							text: 'icon_volume_low',
							icon: 'icon_volume_low',
							onclick: function() {
							editor.insertContent('[icon_volume_low size="20px"]');
							}
							},
							{
							text: 'icon_volume_high',
							icon: 'icon_volume_high',
							onclick: function() {
							editor.insertContent('[icon_volume_high size="20px"]');
							}
							},
							{
							text: 'icon_quotations_alt',
							icon: 'icon_quotations_alt',
							onclick: function() {
							editor.insertContent('[icon_quotations_alt size="20px"]');
							}
							},
							{
							text: 'icon_clock',
							icon: 'icon_clock',
							onclick: function() {
							editor.insertContent('[icon_clock size="20px"]');
							}
							},
							{
							text: 'icon_lock',
							icon: 'icon_lock',
							onclick: function() {
							editor.insertContent('[icon_lock size="20px"]');
							}
							},
							{
							text: 'icon_lock_open',
							icon: 'icon_lock_open',
							onclick: function() {
							editor.insertContent('[icon_lock_open size="20px"]');
							}
							},
							{
							text: 'icon_key',
							icon: 'icon_key',
							onclick: function() {
							editor.insertContent('[icon_key size="20px"]');
							}
							},
							{
							text: 'icon_cloud',
							icon: 'icon_cloud',
							onclick: function() {
							editor.insertContent('[icon_cloud size="20px"]');
							}
							},
							{
							text: 'icon_cloud_upload',
							icon: 'icon_cloud_upload',
							onclick: function() {
							editor.insertContent('[icon_cloud_upload size="20px"]');
							}
							},
							{
							text: 'icon_cloud_download',
							icon: 'icon_cloud_download',
							onclick: function() {
							editor.insertContent('[icon_cloud_download size="20px"]');
							}
							},
							{
							text: 'icon_lightbulb',
							icon: 'icon_lightbulb',
							onclick: function() {
							editor.insertContent('[icon_lightbulb size="20px"]');
							}
							},
							{
							text: 'icon_gift',
							icon: 'icon_gift',
							onclick: function() {
							editor.insertContent('[icon_gift size="20px"]');
							}
							},
							{
							text: 'icon_house',
							icon: 'icon_house',
							onclick: function() {
							editor.insertContent('[icon_house size="20px"]');
							}
							},
							{
							text: 'icon_camera',
							icon: 'icon_camera',
							onclick: function() {
							editor.insertContent('[icon_camera size="20px"]');
							}
							},
							{
							text: 'icon_mail',
							icon: 'icon_mail',
							onclick: function() {
							editor.insertContent('[icon_mail size="20px"]');
							}
							},
							{
							text: 'icon_cone',
							icon: 'icon_cone',
							onclick: function() {
							editor.insertContent('[icon_cone size="20px"]');
							}
							},
							{
							text: 'icon_ribbon',
							icon: 'icon_ribbon',
							onclick: function() {
							editor.insertContent('[icon_ribbon size="20px"]');
							}
							},
							{
							text: 'icon_bag',
							icon: 'icon_bag',
							onclick: function() {
							editor.insertContent('[icon_bag size="20px"]');
							}
							},
							{
							text: 'icon_cart',
							icon: 'icon_cart',
							onclick: function() {
							editor.insertContent('[icon_cart size="20px"]');
							}
							},
							{
							text: 'icon_tag',
							icon: 'icon_tag',
							onclick: function() {
							editor.insertContent('[icon_tag size="20px"]');
							}
							},
							{
							text: 'icon_tags',
							icon: 'icon_tags',
							onclick: function() {
							editor.insertContent('[icon_tags size="20px"]');
							}
							},
							{
							text: 'icon_trash',
							icon: 'icon_trash',
							onclick: function() {
							editor.insertContent('[icon_trash size="20px"]');
							}
							},
							{
							text: 'icon_cursor',
							icon: 'icon_cursor',
							onclick: function() {
							editor.insertContent('[icon_cursor size="20px"]');
							}
							},
							{
							text: 'icon_mic',
							icon: 'icon_mic',
							onclick: function() {
							editor.insertContent('[icon_mic size="20px"]');
							}
							},
							{
							text: 'icon_compass',
							icon: 'icon_compass',
							onclick: function() {
							editor.insertContent('[icon_compass size="20px"]');
							}
							},
							{
							text: 'icon_pin',
							icon: 'icon_pin',
							onclick: function() {
							editor.insertContent('[icon_pin size="20px"]');
							}
							},
							{
							text: 'icon_pushpin',
							icon: 'icon_pushpin',
							onclick: function() {
							editor.insertContent('[icon_pushpin size="20px"]');
							}
							},
							{
							text: 'icon_map',
							icon: 'icon_map',
							onclick: function() {
							editor.insertContent('[icon_map size="20px"]');
							}
							},
							{
							text: 'icon_drawer',
							icon: 'icon_drawer',
							onclick: function() {
							editor.insertContent('[icon_drawer size="20px"]');
							}
							},
							{
							text: 'icon_toolbox',
							icon: 'icon_toolbox',
							onclick: function() {
							editor.insertContent('[icon_toolbox size="20px"]');
							}
							},
							{
							text: 'icon_book',
							icon: 'icon_book',
							onclick: function() {
							editor.insertContent('[icon_book size="20px"]');
							}
							},
							{
							text: 'icon_contacts',
							icon: 'icon_contacts',
							onclick: function() {
							editor.insertContent('[icon_contacts size="20px"]');
							}
							},
							{
							text: 'icon_archive',
							icon: 'icon_archive',
							onclick: function() {
							editor.insertContent('[icon_archive size="20px"]');
							}
							},
							{
							text: 'icon_heart',
							icon: 'icon_heart',
							onclick: function() {
							editor.insertContent('[icon_heart size="20px"]');
							}
							},
							{
							text: 'icon_profile',
							icon: 'icon_profile',
							onclick: function() {
							editor.insertContent('[icon_profile size="20px"]');
							}
							},
							{
							text: 'icon_group',
							icon: 'icon_group',
							onclick: function() {
							editor.insertContent('[icon_group size="20px"]');
							}
							},
							{
							text: 'icon_grid_2x2',
							icon: 'icon_grid_2x2',
							onclick: function() {
							editor.insertContent('[icon_grid_2x2 size="20px"]');
							}
							},
							{
							text: 'icon_grid_3x3',
							icon: 'icon_grid_3x3',
							onclick: function() {
							editor.insertContent('[icon_grid_3x3 size="20px"]');
							}
							},
							{
							text: 'icon_music',
							icon: 'icon_music',
							onclick: function() {
							editor.insertContent('[icon_music size="20px"]');
							}
							},
							{
							text: 'icon_pause_alt',
							icon: 'icon_pause_alt',
							onclick: function() {
							editor.insertContent('[icon_pause_alt size="20px"]');
							}
							},
							{
							text: 'icon_phone',
							icon: 'icon_phone',
							onclick: function() {
							editor.insertContent('[icon_phone size="20px"]');
							}
							},
							{
							text: 'icon_upload',
							icon: 'icon_upload',
							onclick: function() {
							editor.insertContent('[icon_upload size="20px"]');
							}
							},
							{
							text: 'icon_download',
							icon: 'icon_download',
							onclick: function() {
							editor.insertContent('[icon_download size="20px"]');
							}
							},
							{
							text: 'social_facebook',
							icon: 'social_facebook',
							onclick: function() {
							editor.insertContent('[social_facebook size="20px"]');
							}
							},
							{
							text: 'social_twitter',
							icon: 'social_twitter',
							onclick: function() {
							editor.insertContent('[social_twitter size="20px"]');
							}
							},
							{
							text: 'social_pinterest',
							icon: 'social_pinterest',
							onclick: function() {
							editor.insertContent('[social_pinterest size="20px"]');
							}
							},
							{
							text: 'social_googleplus',
							icon: 'social_googleplus',
							onclick: function() {
							editor.insertContent('[social_googleplus size="20px"]');
							}
							},
							{
							text: 'social_tumblr',
							icon: 'social_tumblr',
							onclick: function() {
							editor.insertContent('[social_tumblr size="20px"]');
							}
							},
							{
							text: 'social_tumbleupon',
							icon: 'social_tumbleupon',
							onclick: function() {
							editor.insertContent('[social_tumbleupon size="20px"]');
							}
							},
							{
							text: 'social_wordpress',
							icon: 'social_wordpress',
							onclick: function() {
							editor.insertContent('[social_wordpress size="20px"]');
							}
							},
							{
							text: 'social_instagram',
							icon: 'social_instagram',
							onclick: function() {
							editor.insertContent('[social_instagram size="20px"]');
							}
							},
							{
							text: 'social_dribbble',
							icon: 'social_dribbble',
							onclick: function() {
							editor.insertContent('[social_dribbble size="20px"]');
							}
							},
							{
							text: 'social_vimeo',
							icon: 'social_vimeo',
							onclick: function() {
							editor.insertContent('[social_vimeo size="20px"]');
							}
							},
							{
							text: 'social_linkedin',
							icon: 'social_linkedin',
							onclick: function() {
							editor.insertContent('[social_linkedin size="20px"]');
							}
							},
							{
							text: 'social_rss',
							icon: 'social_rss',
							onclick: function() {
							editor.insertContent('[social_rss size="20px"]');
							}
							},
							{
							text: 'social_deviantart',
							icon: 'social_deviantart',
							onclick: function() {
							editor.insertContent('[social_deviantart size="20px"]');
							}
							},
							{
							text: 'social_share',
							icon: 'social_share',
							onclick: function() {
							editor.insertContent('[social_share size="20px"]');
							}
							},
							{
							text: 'social_myspace',
							icon: 'social_myspace',
							onclick: function() {
							editor.insertContent('[social_myspace size="20px"]');
							}
							},
							{
							text: 'social_skype',
							icon: 'social_skype',
							onclick: function() {
							editor.insertContent('[social_skype size="20px"]');
							}
							},
							{
							text: 'social_youtube',
							icon: 'social_youtube',
							onclick: function() {
							editor.insertContent('[social_youtube size="20px"]');
							}
							},
							{
							text: 'social_picassa',
							icon: 'social_picassa',
							onclick: function() {
							editor.insertContent('[social_picassa size="20px"]');
							}
							},
							{
							text: 'social_googledrive',
							icon: 'social_googledrive',
							onclick: function() {
							editor.insertContent('[social_googledrive size="20px"]');
							}
							},
							{
							text: 'social_flickr',
							icon: 'social_flickr',
							onclick: function() {
							editor.insertContent('[social_flickr size="20px"]');
							}
							},
							{
							text: 'social_blogger',
							icon: 'social_blogger',
							onclick: function() {
							editor.insertContent('[social_blogger size="20px"]');
							}
							},
							{
							text: 'social_spotify',
							icon: 'social_spotify',
							onclick: function() {
							editor.insertContent('[social_spotify size="20px"]');
							}
							},
							{
							text: 'social_delicious',
							icon: 'social_delicious',
							onclick: function() {
							editor.insertContent('[social_delicious size="20px"]');
							}
							},
							{
							text: 'social_facebook_circle',
							icon: 'social_facebook_circle',
							onclick: function() {
							editor.insertContent('[social_facebook_circle size="20px"]');
							}
							},
							{
							text: 'social_twitter_circle',
							icon: 'social_twitter_circle',
							onclick: function() {
							editor.insertContent('[social_twitter_circle size="20px"]');
							}
							},
							{
							text: 'social_pinterest_circle',
							icon: 'social_pinterest_circle',
							onclick: function() {
							editor.insertContent('[social_pinterest_circle size="20px"]');
							}
							},
							{
							text: 'social_googleplus_circle',
							icon: 'social_googleplus_circle',
							onclick: function() {
							editor.insertContent('[social_googleplus_circle size="20px"]');
							}
							},
							{
							text: 'social_tumblr_circle',
							icon: 'social_tumblr_circle',
							onclick: function() {
							editor.insertContent('[social_tumblr_circle size="20px"]');
							}
							},
							{
							text: 'social_stumbleupon_circle',
							icon: 'social_stumbleupon_circle',
							onclick: function() {
							editor.insertContent('[social_stumbleupon_circle size="20px"]');
							}
							},
							{
							text: 'social_wordpress_circle',
							icon: 'social_wordpress_circle',
							onclick: function() {
							editor.insertContent('[social_wordpress_circle size="20px"]');
							}
							},
							{
							text: 'social_instagram_circle',
							icon: 'social_instagram_circle',
							onclick: function() {
							editor.insertContent('[social_instagram_circle size="20px"]');
							}
							},
							{
							text: 'social_dribbble_circle',
							icon: 'social_dribbble_circle',
							onclick: function() {
							editor.insertContent('[social_dribbble_circle size="20px"]');
							}
							},
							{
							text: 'social_vimeo_circle',
							icon: 'social_vimeo_circle',
							onclick: function() {
							editor.insertContent('[social_vimeo_circle size="20px"]');
							}
							},
							{
							text: 'social_linkedin_circle',
							icon: 'social_linkedin_circle',
							onclick: function() {
							editor.insertContent('[social_linkedin_circle size="20px"]');
							}
							},
							{
							text: 'social_rss_circle',
							icon: 'social_rss_circle',
							onclick: function() {
							editor.insertContent('[social_rss_circle size="20px"]');
							}
							},
							{
							text: 'social_deviantart_circle',
							icon: 'social_deviantart_circle',
							onclick: function() {
							editor.insertContent('[social_deviantart_circle size="20px"]');
							}
							},
							{
							text: 'social_share_circle',
							icon: 'social_share_circle',
							onclick: function() {
							editor.insertContent('[social_share_circle size="20px"]');
							}
							},
							{
							text: 'social_myspace_circle',
							icon: 'social_myspace_circle',
							onclick: function() {
							editor.insertContent('[social_myspace_circle size="20px"]');
							}
							},
							{
							text: 'social_skype_circle',
							icon: 'social_skype_circle',
							onclick: function() {
							editor.insertContent('[social_skype_circle size="20px"]');
							}
							},
							{
							text: 'social_youtube_circle',
							icon: 'social_youtube_circle',
							onclick: function() {
							editor.insertContent('[social_youtube_circle size="20px"]');
							}
							},
							{
							text: 'social_picassa_circle',
							icon: 'social_picassa_circle',
							onclick: function() {
							editor.insertContent('[social_picassa_circle size="20px"]');
							}
							},
							{
							text: 'social_googledrive_alt2',
							icon: 'social_googledrive_alt2',
							onclick: function() {
							editor.insertContent('[social_googledrive_alt2 size="20px"]');
							}
							},
							{
							text: 'social_flickr_circle',
							icon: 'social_flickr_circle',
							onclick: function() {
							editor.insertContent('[social_flickr_circle size="20px"]');
							}
							},
							{
							text: 'social_blogger_circle',
							icon: 'social_blogger_circle',
							onclick: function() {
							editor.insertContent('[social_blogger_circle size="20px"]');
							}
							},
							{
							text: 'social_spotify_circle',
							icon: 'social_spotify_circle',
							onclick: function() {
							editor.insertContent('[social_spotify_circle size="20px"]');
							}
							},
							{
							text: 'social_delicious_circle',
							icon: 'social_delicious_circle',
							onclick: function() {
							editor.insertContent('[social_delicious_circle size="20px"]');
							}
							},
							{
							text: 'social_facebook_square',
							icon: 'social_facebook_square',
							onclick: function() {
							editor.insertContent('[social_facebook_square size="20px"]');
							}
							},
							{
							text: 'social_twitter_square',
							icon: 'social_twitter_square',
							onclick: function() {
							editor.insertContent('[social_twitter_square size="20px"]');
							}
							},
							{
							text: 'social_pinterest_square',
							icon: 'social_pinterest_square',
							onclick: function() {
							editor.insertContent('[social_pinterest_square size="20px"]');
							}
							},
							{
							text: 'social_googleplus_square',
							icon: 'social_googleplus_square',
							onclick: function() {
							editor.insertContent('[social_googleplus_square size="20px"]');
							}
							},
							{
							text: 'social_tumblr_square',
							icon: 'social_tumblr_square',
							onclick: function() {
							editor.insertContent('[social_tumblr_square size="20px"]');
							}
							},
							{
							text: 'social_stumbleupon_square',
							icon: 'social_stumbleupon_square',
							onclick: function() {
							editor.insertContent('[social_stumbleupon_square size="20px"]');
							}
							},
							{
							text: 'social_wordpress_square',
							icon: 'social_wordpress_square',
							onclick: function() {
							editor.insertContent('[social_wordpress_square size="20px"]');
							}
							},
							{
							text: 'social_instagram_square',
							icon: 'social_instagram_square',
							onclick: function() {
							editor.insertContent('[social_instagram_square size="20px"]');
							}
							},
							{
							text: 'social_dribbble_square',
							icon: 'social_dribbble_square',
							onclick: function() {
							editor.insertContent('[social_dribbble_square size="20px"]');
							}
							},
							{
							text: 'social_vimeo_square',
							icon: 'social_vimeo_square',
							onclick: function() {
							editor.insertContent('[social_vimeo_square size="20px"]');
							}
							},
							{
							text: 'social_linkedin_square',
							icon: 'social_linkedin_square',
							onclick: function() {
							editor.insertContent('[social_linkedin_square size="20px"]');
							}
							},
							{
							text: 'social_rss_square',
							icon: 'social_rss_square',
							onclick: function() {
							editor.insertContent('[social_rss_square size="20px"]');
							}
							},
							{
							text: 'social_deviantart_square',
							icon: 'social_deviantart_square',
							onclick: function() {
							editor.insertContent('[social_deviantart_square size="20px"]');
							}
							},
							{
							text: 'social_share_square',
							icon: 'social_share_square',
							onclick: function() {
							editor.insertContent('[social_share_square size="20px"]');
							}
							},
							{
							text: 'social_myspace_square',
							icon: 'social_myspace_square',
							onclick: function() {
							editor.insertContent('[social_myspace_square size="20px"]');
							}
							},
							{
							text: 'social_skype_square',
							icon: 'social_skype_square',
							onclick: function() {
							editor.insertContent('[social_skype_square size="20px"]');
							}
							},
							{
							text: 'social_youtube_square',
							icon: 'social_youtube_square',
							onclick: function() {
							editor.insertContent('[social_youtube_square size="20px"]');
							}
							},
							{
							text: 'social_picassa_square',
							icon: 'social_picassa_square',
							onclick: function() {
							editor.insertContent('[social_picassa_square size="20px"]');
							}
							},
							{
							text: 'social_googledrive_square',
							icon: 'social_googledrive_square',
							onclick: function() {
							editor.insertContent('[social_googledrive_square size="20px"]');
							}
							},
							{
							text: 'social_flickr_square',
							icon: 'social_flickr_square',
							onclick: function() {
							editor.insertContent('[social_flickr_square size="20px"]');
							}
							},
							{
							text: 'social_blogger_square',
							icon: 'social_blogger_square',
							onclick: function() {
							editor.insertContent('[social_blogger_square size="20px"]');
							}
							},
							{
							text: 'social_spotify_square',
							icon: 'social_spotify_square',
							onclick: function() {
							editor.insertContent('[social_spotify_square size="20px"]');
							}
							},
							{
							text: 'social_delicious_square',
							icon: 'social_delicious_square',
							onclick: function() {
							editor.insertContent('[social_delicious_square size="20px"]');
							}
							},
							{
							text: 'icon_printer',
							icon: 'icon_printer',
							onclick: function() {
							editor.insertContent('[icon_printer size="20px"]');
							}
							},
							{
							text: 'icon_calulator',
							icon: 'icon_calulator',
							onclick: function() {
							editor.insertContent('[icon_calulator size="20px"]');
							}
							},
							{
							text: 'icon_building',
							icon: 'icon_building',
							onclick: function() {
							editor.insertContent('[icon_building size="20px"]');
							}
							},
							{
							text: 'icon_floppy',
							icon: 'icon_floppy',
							onclick: function() {
							editor.insertContent('[icon_floppy size="20px"]');
							}
							},
							{
							text: 'icon_drive',
							icon: 'icon_drive',
							onclick: function() {
							editor.insertContent('[icon_drive size="20px"]');
							}
							},
							{
							text: 'icon_search_2',
							icon: 'icon_search_2',
							onclick: function() {
							editor.insertContent('[icon_search_2 size="20px"]');
							}
							},
							{
							text: 'icon_id',
							icon: 'icon_id',
							onclick: function() {
							editor.insertContent('[icon_id size="20px"]');
							}
							},
							{
							text: 'icon_id_2',
							icon: 'icon_id_2',
							onclick: function() {
							editor.insertContent('[icon_id_2 size="20px"]');
							}
							},
							{
							text: 'icon_puzzle',
							icon: 'icon_puzzle',
							onclick: function() {
							editor.insertContent('[icon_puzzle size="20px"]');
							}
							},
							{
							text: 'icon_like',
							icon: 'icon_like',
							onclick: function() {
							editor.insertContent('[icon_like size="20px"]');
							}
							},
							{
							text: 'icon_dislike',
							icon: 'icon_dislike',
							onclick: function() {
							editor.insertContent('[icon_dislike size="20px"]');
							}
							},
							{
							text: 'icon_mug',
							icon: 'icon_mug',
							onclick: function() {
							editor.insertContent('[icon_mug size="20px"]');
							}
							},
							{
							text: 'icon_currency',
							icon: 'icon_currency',
							onclick: function() {
							editor.insertContent('[icon_currency size="20px"]');
							}
							},
							{
							text: 'icon_wallet',
							icon: 'icon_wallet',
							onclick: function() {
							editor.insertContent('[icon_wallet size="20px"]');
							}
							},
							{
							text: 'icon_pens',
							icon: 'icon_pens',
							onclick: function() {
							editor.insertContent('[icon_pens size="20px"]');
							}
							},
							{
							text: 'icon_easel',
							icon: 'icon_easel',
							onclick: function() {
							editor.insertContent('[icon_easel size="20px"]');
							}
							},
							{
							text: 'icon_flowchart',
							icon: 'icon_flowchart',
							onclick: function() {
							editor.insertContent('[icon_flowchart size="20px"]');
							}
							},
							{
							text: 'icon_datareport',
							icon: 'icon_datareport',
							onclick: function() {
							editor.insertContent('[icon_datareport size="20px"]');
							}
							},
							{
							text: 'icon_briefcase',
							icon: 'icon_briefcase',
							onclick: function() {
							editor.insertContent('[icon_briefcase size="20px"]');
							}
							},
							{
							text: 'icon_shield',
							icon: 'icon_shield',
							onclick: function() {
							editor.insertContent('[icon_shield size="20px"]');
							}
							},
							{
							text: 'icon_percent',
							icon: 'icon_percent',
							onclick: function() {
							editor.insertContent('[icon_percent size="20px"]');
							}
							},
							{
							text: 'icon_globe',
							icon: 'icon_globe',
							onclick: function() {
							editor.insertContent('[icon_globe size="20px"]');
							}
							},
							{
							text: 'icon_globe_2',
							icon: 'icon_globe_2',
							onclick: function() {
							editor.insertContent('[icon_globe_2 size="20px"]');
							}
							},
							{
							text: 'icon_target',
							icon: 'icon_target',
							onclick: function() {
							editor.insertContent('[icon_target size="20px"]');
							}
							},
							{
							text: 'icon_hourglass',
							icon: 'icon_hourglass',
							onclick: function() {
							editor.insertContent('[icon_hourglass size="20px"]');
							}
							},
							{
							text: 'icon_balance',
							icon: 'icon_balance',
							onclick: function() {
							editor.insertContent('[icon_balance size="20px"]');
							}
							},
							{
							text: 'icon_rook',
							icon: 'icon_rook',
							onclick: function() {
							editor.insertContent('[icon_rook size="20px"]');
							}
							},
							{
							text: 'icon_printer_alt',
							icon: 'icon_printer_alt',
							onclick: function() {
							editor.insertContent('[icon_printer_alt size="20px"]');
							}
							},
							{
							text: 'icon_calculator_alt',
							icon: 'icon_calculator_alt',
							onclick: function() {
							editor.insertContent('[icon_calculator_alt size="20px"]');
							}
							},
							{
							text: 'icon_building_alt',
							icon: 'icon_building_alt',
							onclick: function() {
							editor.insertContent('[icon_building_alt size="20px"]');
							}
							},
							{
							text: 'icon_floppy_alt',
							icon: 'icon_floppy_alt',
							onclick: function() {
							editor.insertContent('[icon_floppy_alt size="20px"]');
							}
							},
							{
							text: 'icon_drive_alt',
							icon: 'icon_drive_alt',
							onclick: function() {
							editor.insertContent('[icon_drive_alt size="20px"]');
							}
							},
							{
							text: 'icon_search_alt',
							icon: 'icon_search_alt',
							onclick: function() {
							editor.insertContent('[icon_search_alt size="20px"]');
							}
							},
							{
							text: 'icon_id_alt',
							icon: 'icon_id_alt',
							onclick: function() {
							editor.insertContent('[icon_id_alt size="20px"]');
							}
							},
							{
							text: 'icon_id_2_alt',
							icon: 'icon_id_2_alt',
							onclick: function() {
							editor.insertContent('[icon_id_2_alt size="20px"]');
							}
							},
							{
							text: 'icon_puzzle_alt',
							icon: 'icon_puzzle_alt',
							onclick: function() {
							editor.insertContent('[icon_puzzle_alt size="20px"]');
							}
							},
							{
							text: 'icon_like_alt',
							icon: 'icon_like_alt',
							onclick: function() {
							editor.insertContent('[icon_like_alt size="20px"]');
							}
							},
							{
							text: 'icon_dislike_alt',
							icon: 'icon_dislike_alt',
							onclick: function() {
							editor.insertContent('[icon_dislike_alt size="20px"]');
							}
							},
							{
							text: 'icon_mug_alt',
							icon: 'icon_mug_alt',
							onclick: function() {
							editor.insertContent('[icon_mug_alt size="20px"]');
							}
							},
							{
							text: 'icon_currency_alt',
							icon: 'icon_currency_alt',
							onclick: function() {
							editor.insertContent('[icon_currency_alt size="20px"]');
							}
							},
							{
							text: 'icon_wallet_alt',
							icon: 'icon_wallet_alt',
							onclick: function() {
							editor.insertContent('[icon_wallet_alt size="20px"]');
							}
							},
							{
							text: 'icon_pens_alt',
							icon: 'icon_pens_alt',
							onclick: function() {
							editor.insertContent('[icon_pens_alt size="20px"]');
							}
							},
							{
							text: 'icon_easel_alt',
							icon: 'icon_easel_alt',
							onclick: function() {
							editor.insertContent('[icon_easel_alt size="20px"]');
							}
							},
							{
							text: 'icon_flowchart_alt',
							icon: 'icon_flowchart_alt',
							onclick: function() {
							editor.insertContent('[icon_flowchart_alt size="20px"]');
							}
							},
							{
							text: 'icon_datareport_alt',
							icon: 'icon_datareport_alt',
							onclick: function() {
							editor.insertContent('[icon_datareport_alt size="20px"]');
							}
							},
							{
							text: 'icon_briefcase_alt',
							icon: 'icon_briefcase_alt',
							onclick: function() {
							editor.insertContent('[icon_briefcase_alt size="20px"]');
							}
							},
							{
							text: 'icon_shield_alt',
							icon: 'icon_shield_alt',
							onclick: function() {
							editor.insertContent('[icon_shield_alt size="20px"]');
							}
							},
							{
							text: 'icon_percent_alt',
							icon: 'icon_percent_alt',
							onclick: function() {
							editor.insertContent('[icon_percent_alt size="20px"]');
							}
							},
							{
							text: 'icon_globe_alt',
							icon: 'icon_globe_alt',
							onclick: function() {
							editor.insertContent('[icon_globe_alt size="20px"]');
							}
							},
							{
							text: 'icon_clipboard',
							icon: 'icon_clipboard',
							onclick: function() {
							editor.insertContent('[icon_clipboard size="20px"]');
							}
							},


					]
				},
				{
					text: 'Dividers',
					menu: [
						{
							icon: 'vf-divider-1-preview',
							onclick: function() {
								editor.insertContent('[divider_one]');
							}
						},
						{
							icon: 'vf-divider-2-preview',
							onclick: function() {
								editor.insertContent('[divider_two]');
							}
						},
						{
							icon: 'vf-divider-3-preview',
							onclick: function() {
								editor.insertContent('[divider_three]');
							}
						},
						{
							icon: 'vf-divider-4-preview',
							onclick: function() {
								editor.insertContent('[divider_four]');
							}
						},
						{
							icon: 'vf-divider-5-preview',
							onclick: function() {
								editor.insertContent('[divider_five]');
							}
						},
						{
							icon: 'vf-divider-6-preview',
							onclick: function() {
								editor.insertContent('[divider_six]');
							}
						},
						{
							icon: 'vf-divider-7-preview',
							onclick: function() {
								editor.insertContent('[divider_seven]');
							}
						},
						{
							icon: 'vf-divider-8-preview',
							onclick: function() {
								editor.insertContent('[divider_eight]');
							}
						},
						{
							icon: 'vf-divider-9-preview',
							onclick: function() {
								editor.insertContent('[divider_nine]');
							}
						},
						{
							icon: 'vf-divider-10-preview',
							onclick: function() {
								editor.insertContent('[divider_ten]');
							}
						},
						{
							icon: 'vf-divider-11-preview',
							onclick: function() {
								editor.insertContent('[divider_eleven]');
							}
						},
						{
							icon: 'vf-divider-12-preview',
							onclick: function() {
								editor.insertContent('[divider_twelve]');
							}
						},
						{
							icon: 'vf-divider-13-preview',
							onclick: function() {
								editor.insertContent('[divider_thirteen]');
							}
						},
						// End of dividers
						
						
						// End
					]
				},
				{
					
							text: 'Button',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a Button',
									body: [
										// Enter the URL
										{
										type: 'textbox',
										name: 'url',
										label: 'Url',
										value: ''
										},
										// Enter button text
										{
										type: 'textbox',
										name: 'buttontext',
										label: 'Button text',
										value: 'Some text'
										},
										// Enter a color
										{
										type: 'colorpicker',
										name: 'color',
										label: 'Button color',
										value: ''
										},
										// Enter a text color
										{
										type: 'colorpicker',
										name: 'textcolor',
										label: 'Button text color',
										value: ''
										},
										// Enter a border radius
										{
										type: 'textbox',
										name: 'radius',
										label: 'Border radius - (in PX)',
										value: ''
										},
										// Ghost button
										{
										type: 'listbox',
										name: 'ghost',
										label: 'Ghost button',
										values: [
											{text: 'None', value: ''},
										{text: 'Light ghost button', value: 'vf-ghost-light'},
										{text: 'Dark Ghost button', value: 'vf-ghost'},
										]
										},
										// Enter a size
										{
										type: 'listbox',
										name: 'size',
										label: 'Button size',
										values: [
											{text: 'Small', value: 'sm'},
											{text: 'Medium', value: 'md'},
											{text: 'Large', value: 'lg'}
										]
										}

										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_button url="' + e.data.url + '" color="' + e.data.color + '" text_color="' + e.data.textcolor + '" border="' + e.data.radius + '" size="' + e.data.size + '" ghost_button="'+ e.data.ghost +'"]' + e.data.buttontext + '[/ventoux_button]');
									}
								});
							}
						}, // End button
				{
	text: 'Animations',
		onclick: function() {
			editor.windowManager.open( {
				title: 'Perform animation on an element',
				body: [
					{
					type: 'listbox',
					name: 'animation',
					label: 'Animation type',
					values: [
						{text: 'bounce In', value: 'bounceIn'},
						{text: 'bounce In Down', value: 'bounceInDown'},
						{text: 'bounce In Right', value: 'bounceInRight'},
						{text: 'bounce In Up', value: 'bounceInUp'},
						{text: 'bounce In Left', value: 'bounceInLeft'},
						{text: 'fade In Down Short', value: 'fadeInDownShort'},
						{text: 'fade In Up Short', value: 'fadeInUpShort'},
						{text: 'fade In Left Short', value: 'fadeInLeftShort'},
						{text: 'fade In Right Short', value: 'fadeInRightShort'},
						{text: 'fade In Down', value: 'fadeInDown'},
						{text: 'fade In Up', value: 'fadeInUp'},
						{text: 'fade In Right', value: 'fadeInRight'},
						{text: 'grow In', value: 'growIn'},
						{text: 'shake', value: 'shake'},
						{text: 'shake Up', value: 'shakeUp'},
						{text: 'rotate In', value: 'rotateIn'},
						{text: 'rotate In Up Left', value: 'rotateInUpLeft'},
						{text: 'rotate In Down Left', value: 'rotateInDownLeft'},
						{text: 'rotate In Up Right', value: 'rotateInUpRight'},
						{text: 'rotate In Down Right', value: 'rotateInDownRight'},
						{text: 'roll In', value: 'rollIn'},
						{text: 'wiggle', value: 'wiggle'},
						{text: 'swing', value: 'swing'},
						{text: 'tada', value: 'tada'},
						{text: 'wobble', value: 'wobble'},
						{text: 'pulse', value: 'pulse'},
						{text: 'light Speed In Right', value: 'lightSpeedInRight'},
						{text: 'flip', value: 'flip '},
						{text: 'flip In X', value: 'flipInX'},
						{text: 'flip In Y', value: 'flipInY'}	
					 ]
					},
					{
					type: 'textbox',
					name: 'offset',
					label: 'Offset - (in PX)',
					value: ''
					},
					{
					type: 'listbox',
					name: 'once',
					label: 'Animate once',
					values: [
						{text: 'Yes', value: 'animateOnce'},
						{text: 'No', value: ''},
					]	

					},
					{
					type: 'listbox',
					name: 'speed',
					label: 'Animation speed',
					values: [
						{text: 'Normal', value: ''},
						{text: 'Slow', value: 'slow'},
						{text: 'Slower', value: 'slower'},
						{text: 'Slowest', value: 'slowest'}
						]
					},


					],
				onsubmit: function( e ) {
					editor.insertContent( '[ventoux_animate  offset="' + e.data.offset + '" animate_once="' + e.data.once + '" speed="' + e.data.speed + '" animation="' + e.data.animation + '"]<br/><br/><p>ELEMENT TO BE ANIMATED</p><br/><br/>[/ventoux_animate]');
				}
			});
		}
	}, // End Animations
							{
							text: 'Testimonials',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a testimonial',
									body:
									[
										{
										type: 'textbox', 
										name: 'quote',
										label: 'Enter testimonial Text',
										multiline: true,
										minWidth: 300,
										minHeight: 100,
										},
										{
										type: 'textbox', 
										name: 'client',
										label: 'Enter client name',
										},
										{
										type: 'textbox', 
										name: 'position',
										label: 'Enter client position',
										},
										{
										type: 'textbox', 
										name: 'company',
										label: 'Enter client company',
										},
										{
										type: 'textbox', 
										name: 'clientimage',
										label: 'URL for client image',
										},
									
									],
									onsubmit: function( e ) {
										editor.insertContent('[ventoux_testimonial client_name="'+ e.data.client +'" client_position="'+ e.data.position +'" client_company="'+ e.data.company +'" client_image="'+ e.data.clientimage +'"]<br/><br/>'+ e.data.quote +'<br/><br/>[/ventoux_testimonial]');
									}
								});
							}
						}, // End Testimonials
						{
							text: 'Google map',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a Google map',
									body: [
										{
										type: 'textbox',
										name: 'mapuniqueid',
										label: 'Map ID (required)'
										},
										{
										type: 'textbox',
										name: 'maplocation',
										label: 'Map location'
										},
										{
										type: 'textbox',
										name: 'mapheight',
										label: 'Map height'
										},
										{
										type: 'textbox',
										name: 'mapzoom',
										label: 'Map zoom'
										},
										
							
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_map mapid="' + e.data.mapuniqueid + '" location="' + e.data.maplocation + '" height="' + e.data.mapheight + '" zoom="' + e.data.mapzoom + '"]');
									}
								});
							}
						}, // End Google map
				
				
						{
							text: 'Tabs',
							onclick: function() {
								editor.insertContent( '[ventoux_tabgroup]<br />[ventoux_tab title="Tab 1"]<br/><br/><p>TAB CONTENTS</p><br/><br/> [/ventoux_tab]<br/>[ventoux_tab title="Tab 2"]<br/><br/><p>TAB CONTENTS</p><br/><br/>[/ventoux_tab]<br/>[ventoux_tab title="Tab 3"]<br/><br/><p>TAB CONTENTS</p><br/><br/>[/ventoux_tab]<br/>[/ventoux_tabgroup]');
							}
						}, // End tabs
				
						{
							text: 'Social media',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a social media icon',
									body: [
										{
										type: 'textbox',
										name: 'sociallink',
										label: 'Link to social media profile'
										},
										{
										type: 'colorpicker',
										name: 'iconcolor',
										label: 'Icon color'
										},
										{
										type: 'listbox',
										name: 'iconsize',
										label: 'Icon size',
										values: [
											{text: 'Medium', value: 'vf-social-media-md'},
											{text: 'Large', value: 'vf-social-media-lg'},
											{text: 'Extra large', value: 'vf-social-media-xl'},
											]	
										},
										
										
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_social_icon link="'+ e.data.sociallink+'" icon_size="'+ e.data.iconsize +'" icon_color="'+ e.data.iconcolor +'"]');
									}
								});
							}
						}, // End social media
				
						{
							text: 'Promo box',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a promo box',
									body: [
										{
										type: 'textbox',
										name: 'promoid',
										label: 'Promo box ID'
										},
										{
										type: 'colorpicker',
										name: 'bgcolor',
										label: 'Background color'
										},
										{
										type: 'textbox',
										name: 'promoborder',
										label: 'Border radius'
										},
							
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_promo_box background="'+ e.data.bgcolor +'" border_radius="'+ e.data.promoborder +'" id="'+ e.data.promoid +'"]<br/>[/ventoux_promo_box]');
									}
								});
							}
						}, // End promo box
				
						{
							text: 'Twitter feed',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a content slider',
									body: [
										{
										type: 'textbox',
										name: 'twitterid',
										label: 'Twitter ID',
										value: '495579992894349312'
										},
										{
										type: 'textbox',
										name: 'twittercount',
										label: 'Amount of tweets'
										},
										{
										type: 'listbox',
										name: 'showuser',
										label: 'Show users avatar',
										values: [
											{text: 'Show avatar', value: 'true'},
											{text: 'Show only my tweets', value: 'false'},
											]
										},
										
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_twitter twitter_id="'+ e.data.twitterid +'" tweet_amount="'+ e.data.twittercount +'" show_user="'+ e.data.showuser +'"][/ventoux_twitter]');
									}
								});
							}
						}, // End Twitter

							{
							text: 'Flexslider',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert Flexslider',
									body: [
										{
										type: 'textbox',
										name: 'flexid',
										label: 'Unique ID',
										value: 'Slider 1'
										},
										{
										type: 'listbox',
										name: 'anim',
										label: 'Slider animation',
										values: [
										{text: 'Slide', value: 'slide'},
										{text: 'Fade', value: 'fade'},
										]
										},
										{
										type: 'listbox',
										name: 'direction',
										label: 'Slide direction',
										values: [
										{text: 'Vertical', value: 'vertical'},
										{text: 'Horizontal', value: 'horizontal'},
										]
										},
										{
										type: 'listbox',
										name: 'nav',
										label: 'Pip navigation',
										values: [
										{text: 'Show', value: 'true'},
										{text: 'Hide', value: 'false'},
										]
										},
										{
										type: 'textbox',
										name: 'speed',
										label: 'Slider speed',
										value: ''
										},
										
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_flexsldr id="'+ e.data.flexid+'" animation="'+e.data.anim+'" direction="'+e.data.direction+'" speed="'+e.data.speed+'" navigation="'+e.data.nav+'"]<br/>[ventoux_flexsldr_images][/ventoux_flexsldr_images]<br/>[/ventoux_flexsldr]');
									}
								});
							}
						}, // End Flexslider

						{
							text: 'Carousel',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert Carousel',
									body: [
										{
										type: 'textbox',
										name: 'carflexid',
										label: 'Unique ID',
										value: 'carousel1'
										},
										{
										type: 'listbox',
										name: 'carnav',
										label: 'Carousel navigation',
										values: [
										{text: 'Show', value: 'true'},
										{text: 'Hide', value: 'false'},
										]
										},
										{
										type: 'textbox',
										name: 'carspeed',
										label: 'Carousel speed',
										value: ''
										},
										{
										type: 'textbox',
										name: 'itemwidth',
										label: 'Carousel item width',
										value: ''
										},
										
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_carouselsldr id="'+ e.data.carflexid+'" item_width="'+e.data.itemwidth+'" speed="'+e.data.carspeed+'" navigation="'+e.data.carnav+'"]<br/>[ventoux_carouselsldr_images][/ventoux_carouselsldr_images]<br/>[/ventoux_carouselsldr]');
									}
								});
							}
						}, // End Carousel

					
				
						{
							text: 'Spacing',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Insert a content slider',
									body: [
										{
										type: 'listbox',
										name: 'spacing',
										label: 'Spacing',
										values: [
											{text: '10px', value: 'vf-pt-10'},
											{text: '20px', value: 'vf-pt-20'},
											{text: '30px', value: 'vf-pt-30'},
											{text: '40px', value: 'vf-pt-40'},
											{text: '50px', value: 'vf-pt-50'},
											{text: '60px', value: 'vf-pt-60'},
											{text: '70px', value: 'vf-pt-70'},
											{text: '80px', value: 'vf-pt-80'},
											{text: '90px', value: 'vf-pt-90'},
											{text: '100px', value: 'vf-pt-100'},
											]
										},
										
										],
									onsubmit: function( e ) {
										editor.insertContent( '[ventoux_spacer space="'+ e.data.spacing +'"]');
									}
								});
							}
						}, // End Spacing

							{
							text: 'Home blog feed',
							onclick: function() {
								editor.insertContent( '[home_blog_feed]');
							}
						}, // End home blog feed

						{
							text: 'Home portfolio feed',
							onclick: function() {
								editor.insertContent( '[home_portfolio_feed]');
							}
						}, // End home portfolio feed

			// End of MCE js	
			]
		});
	});
})();